export declare const hasDisplayNone: (element: HTMLElement) => boolean;
export declare const hasTabIndex: (element: HTMLElement) => boolean;
export declare const hasNegativeTabIndex: (element: HTMLElement) => boolean;
export declare function isDisabled(element: HTMLElement): boolean;
export declare function hasFocusWithin(element: HTMLElement): boolean;
export declare function isHTMLElement(element: any): element is HTMLElement;
export declare function isHidden(element: HTMLElement): boolean;
export declare function isContentEditable(element: HTMLElement): boolean;
export declare function isFocusable(element: HTMLElement): boolean;
export declare function isTabbable(element?: HTMLElement | null): boolean;
declare const isActiveElement: (element: FocusableElement) => boolean;
export interface FocusableElement {
    focus(options?: FocusOptions): void;
}
interface FocusProps extends FocusOptions {
    isActive?: typeof isActiveElement;
}
export declare function focus(element: FocusableElement, options?: FocusProps): number;
export {};
